-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Servidor: 127.0.0.1
-- Tiempo de generación: 30-01-2025 a las 22:22:57
-- Versión del servidor: 10.4.32-MariaDB
-- Versión de PHP: 8.2.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Base de datos: `emvtowakrd_pagaturifa`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `estados`
--

CREATE TABLE `estados` (
  `id_estado` int(11) NOT NULL,
  `nombre_estado` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish2_ci;

--
-- Volcado de datos para la tabla `estados`
--

INSERT INTO `estados` (`id_estado`, `nombre_estado`) VALUES
(1, 'disponible'),
(2, 'vendido'),
(3, 'apartado');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `numeros`
--

CREATE TABLE `numeros` (
  `numero` int(11) NOT NULL,
  `id_rifa` int(11) NOT NULL,
  `estado_numero` int(11) NOT NULL,
  `nombre` varchar(25) NOT NULL,
  `apellido` varchar(25) NOT NULL,
  `cedula` int(10) NOT NULL,
  `telefono` int(15) NOT NULL,
  `email` int(11) DEFAULT NULL,
  `metodo_pago` varchar(20) DEFAULT NULL,
  `referencia` int(40) DEFAULT NULL,
  `imagen` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish2_ci;

--
-- Volcado de datos para la tabla `numeros`
--

INSERT INTO `numeros` (`numero`, `id_rifa`, `estado_numero`, `nombre`, `apellido`, `cedula`, `telefono`, `email`, `metodo_pago`, `referencia`, `imagen`) VALUES
(1, 1, 1, '', '', 0, 0, NULL, NULL, NULL, NULL),
(2, 1, 1, '', '', 0, 0, NULL, NULL, NULL, NULL),
(3, 1, 1, '', '', 0, 0, NULL, NULL, NULL, NULL),
(4, 1, 1, '', '', 0, 0, NULL, NULL, NULL, NULL),
(5, 1, 1, '', '', 0, 0, NULL, NULL, NULL, NULL),
(6, 1, 1, '', '', 0, 0, NULL, NULL, NULL, NULL),
(7, 1, 1, '', '', 0, 0, NULL, NULL, NULL, NULL),
(8, 1, 1, '', '', 0, 0, NULL, NULL, NULL, NULL),
(9, 1, 1, '', '', 0, 0, NULL, NULL, NULL, NULL),
(10, 1, 1, '', '', 0, 0, NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `rifas_activas`
--

CREATE TABLE `rifas_activas` (
  `id_rifa` int(11) NOT NULL,
  `nombre_rifa` varchar(20) NOT NULL,
  `precio_unitario` decimal(10,0) NOT NULL,
  `cantidad_numeros` int(11) NOT NULL,
  `fecha_creacion` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish2_ci;

--
-- Volcado de datos para la tabla `rifas_activas`
--

INSERT INTO `rifas_activas` (`id_rifa`, `nombre_rifa`, `precio_unitario`, `cantidad_numeros`, `fecha_creacion`) VALUES
(1, 'hola', 10, 10, '2025-01-30');

--
-- Disparadores `rifas_activas`
--
DELIMITER $$
CREATE TRIGGER `after_insert_rifas_activas` AFTER INSERT ON `rifas_activas` FOR EACH ROW BEGIN
    DECLARE counter INT DEFAULT 1;
    DECLARE total INT;

    SET total = NEW.cantidad_numeros;

    WHILE counter <= total DO
        INSERT INTO numeros (numero, id_rifa, estado_numero, nombre, apellido, cedula, telefono, email, metodo_pago, referencia, imagen)
        VALUES (counter, NEW.id_rifa, 1, '', '', 0, 0, NULL, NULL, NULL, NULL);
        SET counter = counter + 1;
    END WHILE;
END
$$
DELIMITER ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuarios`
--

CREATE TABLE `usuarios` (
  `id` int(11) NOT NULL,
  `usuario` varchar(20) NOT NULL,
  `contraseña` varchar(20) NOT NULL,
  `rol` varchar(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish2_ci;

--
-- Volcado de datos para la tabla `usuarios`
--

INSERT INTO `usuarios` (`id`, `usuario`, `contraseña`, `rol`) VALUES
(1, 'admin', 'admin', 'admin');

--
-- Índices para tablas volcadas
--

--
-- Indices de la tabla `estados`
--
ALTER TABLE `estados`
  ADD PRIMARY KEY (`id_estado`);

--
-- Indices de la tabla `numeros`
--
ALTER TABLE `numeros`
  ADD PRIMARY KEY (`numero`),
  ADD KEY `id_rifa` (`id_rifa`),
  ADD KEY `estado_numero` (`estado_numero`);

--
-- Indices de la tabla `rifas_activas`
--
ALTER TABLE `rifas_activas`
  ADD PRIMARY KEY (`id_rifa`);

--
-- Indices de la tabla `usuarios`
--
ALTER TABLE `usuarios`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT de las tablas volcadas
--

--
-- AUTO_INCREMENT de la tabla `estados`
--
ALTER TABLE `estados`
  MODIFY `id_estado` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT de la tabla `rifas_activas`
--
ALTER TABLE `rifas_activas`
  MODIFY `id_rifa` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT de la tabla `usuarios`
--
ALTER TABLE `usuarios`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `numeros`
--
ALTER TABLE `numeros`
  ADD CONSTRAINT `numeros_ibfk_1` FOREIGN KEY (`id_rifa`) REFERENCES `rifas_activas` (`id_rifa`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `numeros_ibfk_2` FOREIGN KEY (`estado_numero`) REFERENCES `estados` (`id_estado`) ON DELETE CASCADE ON UPDATE CASCADE;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
