<?php
include '../includes/db_connect.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $id_rifa = intval($_POST['id_rifa']);
    $numeros_comprados = $_POST['numeros_seleccionados'];
    $nombre = trim($_POST['nombre']);
    $apellido = trim($_POST['apellido']);
    $cedula = trim($_POST['cedula']);
    $telefono = trim($_POST['telefono']);
    $correo = trim($_POST['correo']);
    $metodo_pago = $_POST['metodo_pago'];
    $tipo_comprobante = $_POST['tipo_comprobante'];
    $estado = 'espera'; // Estado actualizado a "espera"
    $fecha_compra = date('Y-m-d H:i:s');
    
    // Manejo del comprobante de pago
    $comprobante = ''; // Inicia como vacío

    if ($tipo_comprobante === 'foto' && isset($_FILES['comprobante'])) {
        $upload_dir = '../pagos_ima/';
        
        // Verificar si la carpeta existe y tiene permisos de escritura
        if (!is_dir($upload_dir) || !is_writable($upload_dir)) {
            die("La carpeta de destino no existe o no tiene permisos de escritura.");
        }

        // Obtener información del archivo
        $file_name = $_FILES['comprobante']['name'];
        $file_tmp = $_FILES['comprobante']['tmp_name'];
        $file_size = $_FILES['comprobante']['size'];
        $file_error = $_FILES['comprobante']['error'];

        // Verificar si no hubo errores al subir el archivo
        if ($file_error === UPLOAD_ERR_OK) {
            // Obtener la extensión del archivo
            $file_ext = strtolower(pathinfo($file_name, PATHINFO_EXTENSION)); // Obtener la extensión
            $allowed_extensions = ['jpg', 'jpeg', 'png', 'gif', 'webp', 'bmp', 'tiff']; // Extensiones permitidas

            if (in_array($file_ext, $allowed_extensions)) {
                // Obtener el nombre personalizado del usuario
                $custom_name = trim($_POST['custom_name']);
                if (empty($custom_name)) {
                    $custom_name = 'comprobante'; // Nombre por defecto si el usuario no proporciona uno
                }

                // Generar un nombre único para el archivo
                $filename = $custom_name . '_' . uniqid() . '.' . $file_ext; // Nombre personalizado + único
                $target_file = $upload_dir . $filename;

                // Mover el archivo a la carpeta de destino
                if (move_uploaded_file($file_tmp, $target_file)) {
                    $comprobante = $filename; // Guardar el nombre del archivo en la BD
                } else {
                    die("Error al mover el archivo subido.");
                }
            } else {
                die("Formato de archivo no permitido. Solo se aceptan JPG, JPEG, PNG, GIF, WEBP, BMP y TIFF.");
            }
        } else {
            die("Error al subir el archivo: Código de error $file_error.");
        }
    } elseif ($tipo_comprobante === 'referencia' && isset($_POST['referencia'])) {
        $comprobante = trim($_POST['referencia']);
    }

    // Insertar en la base de datos (compra)
    $sql = "INSERT INTO compras_rifa (id_rifa, numeros_comprados, nombre, apellido, cedula, telefono, correo, tipo_comprobante, estado, fecha_compra, foto_comprobante) 
            VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("issssssssss", $id_rifa, $numeros_comprados, $nombre, $apellido, $cedula, $telefono, $correo, $tipo_comprobante, $estado, $fecha_compra, $comprobante);

    if ($stmt->execute()) {
        // Actualizar el estado de la compra como "espera" en la tabla compras_rifa
        $numeros_comprados_array = explode(',', $numeros_comprados); // Si hay varios números separados por coma
        foreach ($numeros_comprados_array as $numero) {
            $update_sql = "UPDATE compras_rifa SET estado = 'espera' WHERE id_rifa = ? AND numeros_comprados = ?";
            $update_stmt = $conn->prepare($update_sql);
            $update_stmt->bind_param("is", $id_rifa, trim($numero));
            $update_stmt->execute();
            $update_stmt->close();
        }

        echo "Compra registrada exitosamente.";
        header("Location: confirmacion:online.php");
        exit();
    } else {
        echo "Error al registrar la compra: " . $conn->error;
    }
    
    $stmt->close();
    $conn->close();
} else {
    echo "Método no permitido.";
}
?>